# API-HORO

This API is the back-end of our fictitious company Horo, that operates on the brazillian stock market providing stocks data from the day before. 

In this project we also tryed to code in pairs, simulating a company, using merge requests and code review.

This project is of our own, and we made it during the Infnet Fullsatck (MERN) Bootcamp :) 

## Authors

- Leonardo Meirelles
- Giulia Alziguir

## Contact me: Leonardo Meirelles

[![linkedin](https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/leomeirelles/)

[![GitHub](https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/Leonardo-Meirelles)

[![GitLab](https://img.shields.io/badge/GitLab-330F63?style=for-the-badge&logo=gitlab&logoColor=white)](https://gitlab.com/leonardo.dmeirelles)

## Contact me: Giulia Alzuguir 

[![linkedin](https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/giulia-alzuguir/?originalSubdomain=br)

[![GitHub](https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/giualz)

[![GitLab](https://img.shields.io/badge/GitLab-330F63?style=for-the-badge&logo=gitlab&logoColor=white)](https://gitlab.com/giulia.souza)

[![Instagram](https://img.shields.io/badge/Instagram-E4405F?style=for-the-badge&logo=instagram&logoColor=white)](https://www.instagram.com/giualz/)

## Skills we used

![JS](https://img.shields.io/badge/JavaScript-323330?style=for-the-badge&logo=javascript&logoColor=F7DF1E)

![Node](https://img.shields.io/badge/Node.js-43853D?style=for-the-badge&logo=node.js&logoColor=white)

![Express](https://img.shields.io/badge/Express.js-404D59?style=for-the-badge)

![MySQL](https://img.shields.io/badge/MySQL-00000F?style=for-the-badge&logo=mysql&logoColor=white)

![AWS](https://img.shields.io/badge/Amazon_AWS-232F3E?style=for-the-badge&logo=amazon-aws&logoColor=white)

![Heroku](https://img.shields.io/badge/Heroku-430098?style=for-the-badge&logo=heroku&logoColor=white)

Sequelize ORM and Joi Validator (didn't found a badge, sorry)

## Endpoints

```bash
  (MAIN URL) https://horo-api.herokuapp.com/
```

```bash
  (GET) /orders
```

```bash
  (GET) /stocks
```

```bash
  (GET) /users
```

```bash
  (GET) /user/:userEmail
```

```bash
  (POST) /stocks
```

```bash
  (POST) /stocks/:idstock/order
```

```bash
  (DELETE) /orders/:idorder/delete
```

## License

[MIT](https://choosealicense.com/licenses/mit/)

  
## Run Locally

Clone the project

```bash
  git clone https://github.com/Leonardo-Meirelles/API_Horo_Invest-Project-2
                                or
  git clone https://gitlab.com/leonardo.dmeirelles/API_Horo_Invest-Project-2
```

Go to the project directory

```bash
  cd project directory
```

Install dependencies

```bash
  npm install
```

Start the server

```bash
  npm run start
      or
  npm run nodemon (to start it with nodemon)    
```

  
